#ifndef PIECE_H
#define PIECE_H
class Entity;

enum PieceType { PT_NONE, PT_ROOM, PT_BOARD, PT_RED, PT_YELLOW, PT_ARROW, PT_FIREWORKS };
enum PieceAction { PA_NONE, PA_MOVETO, PA_TIMEOUT };
class Piece
{
public:
	Piece();
	void setModel(Entity *entity,enum PieceType type);
	Entity *getModel();
	float *getTransform();
	void setPos(float x,float y,float z);
	void setMoveTo(float x,float y,float z,float seconds);
	void update(long elapsed);

	enum PieceAction action;
	enum PieceType type;
protected:
	float transform[16];
	float moveTo[3];
	long moveToTimeLeft;
	Entity *model;
};
#endif
